- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# BrushOperation::BrushBehavior Struct Reference

This reference page is linked to from the following overview topics: Mudbox 2013.

Search for all occurrences

## Detailed Description

Tool behaviour structure for storing alternate brushing modes.

Definition at line 323 of file brush.h.

`#include <brush.h>`

List of all members.

## Public Types
enum | BehaviorType { eBehaviorNone, eBehaviorBrush, eBehaviorAttribute }
## Public Member Functions
| BrushBehavior (void)
| BrushBehavior (BehaviorType type, QString target, int iHotkey)
## Public Attributes
BehaviorType | m_eType
QString | m_sTarget
int | m_iHotkey

## Member Enumeration Documentation

enum BehaviorType

Search for all occurrences

Enumerator:

  eBehaviorNone | Search for all occurrences
  eBehaviorBrush | Search for all occurrences
  eBehaviorAttribute | Search for all occurrences

Definition at line 325 of file brush.h.

            {
                eBehaviorNone,
                eBehaviorBrush,
                eBehaviorAttribute
            };

## Constructor & Destructor Documentation

BrushBehavior | ( | void |  | ) | `[inline]`

Definition at line 332 of file brush.h.

    { m_eType = eBehaviorNone; m_sTarget = ""; m_iHotkey = 0; };

BrushBehavior | ( | BehaviorType | type,
|  | QString | target,
|  | int | iHotkey
| ) |  | `[inline]`

Definition at line 333 of file brush.h.

    : m_eType( type ), m_sTarget( target ), m_iHotkey( iHotkey ) {};

## Member Data Documentation

BehaviorType m_eType

Search for all occurrences

Definition at line 333 of file brush.h.

QString m_sTarget

Search for all occurrences

Definition at line 336 of file brush.h.

int m_iHotkey

Search for all occurrences

Definition at line 337 of file brush.h.

The documentation for this struct was generated from the following file:

- Mudbox/brush.h